Bug 175248 - GTK+ can't be used from SUID/SGID programs
GTK+ can't be used from SUID/SGID programs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 21:05 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 17:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-12-07 21:05:57 EST
Description of problem:
Several games (gnomine, mahjongg) just don't start, complaining that GTK+ can't
be used from SUID/SGID programs.

Version-Release number of selected component (if applicable):
gnome-games-2.13.2-1

How reproducible:
Always

Steps to Reproduce:
1. gnomine
2.
3.
  
Actual results:
(gnomine:5263): Gtk-WARNING **: This process is currently running setuid or setgid.
This is not a supported use of GTK+. You must create a helper
program instead. For further details, see:

    http://www.gtk.org/setuid.html

Refusing to initialize GTK+.


Expected results:
Game board...

Additional info:
Comment 1 Jason 2005-12-08 20:39:35 EST
same goes for same-gnome.  gnome-games-2.13.2-1
Comment 2 Paul Dickson 2005-12-10 00:21:47 EST
Same problem with mahjongg.
Comment 3 Jason 2006-01-04 10:12:39 EST
fixed in version gnome-games-2.13.4-1
Comment 4 Jason 2006-01-11 15:16:54 EST
You can close this bug.

Note You need to log in before you can comment on or make changes to this bug.